Davix::DeleteRequest Class Reference

Http low level request configured for DELETE operation. More...

`#include <httprequest.hpp>`

Inheritance diagram for Davix::DeleteRequest:

## Public Member Functions

| DeleteRequest (Context &context, const Uri &uri, DavixError **err)
| Construct a HttpRequest forfor a DELETE operation.
Public Member Functions inherited from Davix::HttpRequest
| HttpRequest (Context &context, const Uri &url, DavixError **err)
| HttpRequest constructor with a defined URL.
| HttpRequest (Context &context, const std::string &url, DavixError **err)
| HttpRequest constructor with a defined URL from a string.
| HttpRequest (NEONRequest *req)
| HttpRequest internal usage.
void | addHeaderField (const std::string &field, const std::string &value)
void | setRequestMethod (const std::string &method)
| set the request method ( "GET", "PUT", ... )
void | setParameters (const RequestParams &parameters)
| set the request parameter
int | executeRequest (DavixError **err)
| execute this request completely
void | setRequestBody (const std::string &body)
void | setRequestBody (const void *buffer, dav_size_t len_buff)
void | setRequestBody (int fd, dav_off_t offset, dav_size_t len)
void | setRequestBody (HttpBodyProvider provider, dav_size_t len, void *udata)
void | setRequestBody (ContentProvider &provider)
int | beginRequest (DavixError **err)
| start a multi-part HTTP Request
dav_ssize_t | readBlock (char *buffer, dav_size_t max_size, DavixError **err)
dav_ssize_t | readBlock (std::vector< char > &buffer, dav_size_t max_size, DavixError **err)
dav_ssize_t | readSegment (char *buffer, dav_size_t max_size, DavixError **err)
dav_ssize_t | readToFd (int fd, DavixError **err)
dav_ssize_t | readToFd (int fd, dav_size_t read_size, DavixError **err)
dav_ssize_t | readLine (char *buffer, dav_size_t max_size, DavixError **err)
void | discardBody (DavixError **err)
int | endRequest (DavixError **err)
const char * | getAnswerContent ()
std::vector< char > & | getAnswerContentVec ()
dav_ssize_t | getAnswerSize () const
time_t | getLastModified () const
void | clearAnswerContent ()
int | getRequestCode ()
bool | getAnswerHeader (const std::string &header_name, std::string &value) const
size_t | getAnswerHeaders (HeaderVec &vec_headers) const
| DEPRECATED (HttpCacheToken *extractCacheToken() const)
| DEPRECATED (void useCacheToken(const HttpCacheToken *token))
void | setFlag (const RequestFlag::RequestFlag flag, bool value)
| set a HttpRequest flag
bool | getFlag (const RequestFlag::RequestFlag flag)
| get a HttpRequest flag value

## Detailed Description

Http low level request configured for DELETE operation.

## Constructor & Destructor Documentation

## DeleteRequest()

Davix::DeleteRequest::DeleteRequest | ( | Context & | context,
|  | const Uri & | uri,
|  | DavixError ** | err )

Construct a HttpRequest forfor a DELETE operation.

Parameters

  context |
  uri |
  err |

Context c;
DavixError* err = NULL;
Uri myuri(“http://example.org/myfile”);
// Delete request
DeleteRequest req(c, myuri, &err);

The documentation for this class was generated from the following file:

- /build/davix-SzuXOx/davix-0.8.10/include/davix/request/httprequest.hpp